@import 'core/ColorSystem/style.module.scss';

.container {
	display: grid;
    padding: 12px;
    position: relative;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.textAreaReplica {
    white-space: pre-wrap;
    visibility: hidden;
}

.textArea {
	resize:vertical;
    &.noResize {
        resize: none;
        overflow: hidden;
    }
}

.textArea,
.textAreaReplica {
	/* Identical styling required!! */
	font: inherit;
    width: 100%;
    border: 0;
    font-size: 16px;
    box-sizing: border-box;
	background-color: transparent;
    padding-top: .5em;
    padding-bottom: .5em;
    /* Place on top of each other */
	grid-area: 1 / 1 / 2 / 2;

    &:focus {
        outline: none;
    }
}

.container.dense {
    padding: 0px;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;

    .textArea, .textAreaReplica {
        min-height: 20px;
        padding: 10px 12px 10px 12px;
    }
}

.container, .container.dense {
    &.filledVariant {
        background-color: rgba($onSurfaceColor, 0.12);  
    }

    &.outlinedVariant {
        background-color: $surfaceColor;
        border-width: 1px;
        border-style: solid;
        border-color: rgba($onSurfaceColor, 0.42);
    }
}

.underLine {
    position:absolute;
    left: 0;
    right: 0;
    bottom: 0;
    border-bottom: 1px solid rgba($onSurfaceColor,0.42);
    pointer-events: none;
    transition: border-bottom-color 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}


